cascading.tuple

## Class TupleEntrySchemeIteratorProps

- java.lang.Object
- - cascading.property.Props
  - - cascading.tuple.TupleEntrySchemeIteratorProps

-     public class TupleEntrySchemeIteratorProps
      extends Props

  Class TupleEntrySchemeIteratorProps is a fluent helper class to set properties which control the behavior of the `TupleEntrySchemeIterator`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PERMITTED_EXCEPTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleEntrySchemeIteratorProps()` Constructs a new TupleEntrySchemeIteratorProps instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPropertiesTo(java.util.Properties properties)`
    `java.lang.Class<? extends java.lang.Exception>[]` | `getPermittedExceptions()`
    `TupleEntrySchemeIteratorProps` | `setPermittedExceptions(java.lang.Class<? extends java.lang.Exception>[] permittedExceptions)` Method setPermittedExceptions is used to set an array of exceptions which are allowed to be ignored in the TupleEntrySchemeIterator.
    `static void` | `setPermittedExceptions(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.Class<? extends java.lang.Exception>... exceptions)` Method setPermittedExceptions( Map properties, Class[] ...
    `static TupleEntrySchemeIteratorProps` | `tupleEntrySchemeIteratorProps()` Creates a new TupleEntrySchemeIteratorProps instance.

    - ### Methods inherited from class cascading.property.Props

      `buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PERMITTED_EXCEPTIONS

          public static final java.lang.String PERMITTED_EXCEPTIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TupleEntrySchemeIteratorProps

          public TupleEntrySchemeIteratorProps()

      Constructs a new TupleEntrySchemeIteratorProps instance.

  - ### Method Detail

    - #### setPermittedExceptions

          public static void setPermittedExceptions(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                    java.lang.Class<? extends java.lang.Exception>... exceptions)

      Method setPermittedExceptions( Map properties, Class[] ... exceptions ) is used to set an array of exceptions, which are allowed to be ignored in the TupleEntySchemeInterator. If the array is null, it will be ignored.

      Note that the array will be converted to a comma separated String. If you read the the property back, you can convert it back to classes via the asClasses method.

      Parameters:
        `properties` - a Map
        `exceptions` - an array of exception classes.

    - #### tupleEntrySchemeIteratorProps

          public static TupleEntrySchemeIteratorProps tupleEntrySchemeIteratorProps()

      Creates a new TupleEntrySchemeIteratorProps instance.
      Returns:
        TupleEntrySchemeIteratorProps instance

    - #### getPermittedExceptions

          public java.lang.Class<? extends java.lang.Exception>[] getPermittedExceptions()

    - #### setPermittedExceptions

          public TupleEntrySchemeIteratorProps setPermittedExceptions(java.lang.Class<? extends java.lang.Exception>[] permittedExceptions)

      Method setPermittedExceptions is used to set an array of exceptions which are allowed to be ignored in the TupleEntrySchemeIterator.

      If the array is null, it will be ignored.
      Parameters:
        `permittedExceptions` - an array of exception classes.

    - #### addPropertiesTo

          protected void addPropertiesTo(java.util.Properties properties)

      Specified by:
        `addPropertiesTo` in class `Props`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.